Bug 244494 - [exp-run] lang/go: Switch to the new bootstrap, add aarch64 support
Summary: [exp-run] lang/go: Switch to the new bootstrap, add aarch64 support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitri Goutnik
URL: https://reviews.freebsd.org/D23151
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-28 12:50 UTC by Dmitri Goutnik
Modified: 2020-03-02 12:36 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (jlaffaye)
antoine: exp-run+


Attachments
D23151.diff (348.30 KB, patch)
2020-02-28 12:50 UTC, Dmitri Goutnik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2020-02-28 12:50:11 UTC
Created attachment 212021 [details]
D23151.diff

- Switch to the new bootstrap that supports freebsd/arm64
- Sync with lang/go-devel port (add new makesum target, switch to dynamic pkg-plist generation)
Comment 1 Antoine Brodin freebsd_committer 2020-03-01 22:02:57 UTC
Exp-run looks fine on amd64 and i386.
Comment 2 commit-hook freebsd_committer 2020-03-02 12:35:10 UTC
A commit references this bug:

Author: dmgk
Date: Mon Mar  2 12:34:25 UTC 2020
New revision: 527627
URL: https://svnweb.freebsd.org/changeset/ports/527627

Log:
  lang/go: Switch to the new bootstrap, add aarch64 support

  PR:		244494
  Reviewed by:	tobik, mikael
  Approved by:	jlaffaye (maintainer timeout, >1 month)
  Exp-run by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D23151

Changes:
  head/lang/go/Makefile
  head/lang/go/distinfo
  head/lang/go/pkg-plist
Comment 3 Dmitri Goutnik freebsd_committer 2020-03-02 12:36:57 UTC
(In reply to Antoine Brodin from comment #1)
Thanks for the exp-run!